// SEE VARIABLE DEFINITIONS
// track, intro, and loop are defined in variable definitions
// to use: drop this object or a child object with the right values configured
// into a room. The object is persistent, but that's only so it can fade itself out
// when the room changes, it'll then delete itself once fadeout is complete

if (track == noone) instance_destroy();

persistent = true;

current_volume = 80;
// uncomment to have object track global music volume
//current_volume = global.music_volume;

total = intro + loop;
audio_sound_gain(track, current_volume/100, 0);

playing = audio_play_sound(track, 50, true);