/// @description
var ox = obj_truck.x;
var oy = obj_truck.y;
var cx = -ox + (cam_w / 2) + irandom_range(-cam_shake_x, cam_shake_x);
var cy = -oy + (cam_h / 2) + irandom_range(-cam_shake_y, cam_shake_y);
var ang = angle;

if (surface_exists(surf)) {
	surface_set_target(surf);
	draw_clear($77E9AF);
	gpu_set_colorwriteenable(true, true, true, false);
	//tracks
	/*
	if (surface_exists(track_surf)) {
		var sx = room_width / 2;
		var sy = room_height / 2;
		var _dir = point_direction(ox, oy, 0, 0);
		var _len = point_distance(ox, oy, 0, 0);
		var _x = ox + lengthdir_x(_len, ang + _dir);
		var _y = oy + lengthdir_y(_len, ang + _dir);
		draw_surface_ext(track_surf, _x + cx - sx, _y + cy - sy, 1, 1, ang, c_white, 1);
	} else {
		track_surf = surface_create(room_width, room_height);
		track_clear = true;
	}
	//*/

	//add all items to the list
	with(obj_stack) {
		ds_list_add(other.list, id);
	}
	//ds_list_sort(list, true);

	//loop through the remaining items
	var i = 0;
	var s = dsin(current_time / 10) * .05 + 1;
	while not (ds_list_empty(list)) {
		for(var m = 0; m < ds_list_size(list); m++) {
			with(list[| m]) {
				var _store_z = z;
				z = round(z);
				if (i >= z) {
					if (i - z <= image_number - 1) {
						if (object_index == obj_truck) {
							draw_sprite_ext(sprite_index, i - z, x + cx, y - (i * s) + cy, image_xscale, image_yscale, ang - angle + 90, image_blend, image_alpha);
						} else {
							var _dir = point_direction(0, 0, ox - x, oy - y);
							var _len = point_distance(0, 0, ox - x, oy - y);
							var _x = ox + lengthdir_x(_len, ang + _dir);
							var _y = oy + lengthdir_y(_len, ang + _dir);
							if (!animated) {
								draw_sprite_ext(sprite_index, i - z, _x + cx, _y - i + cy, image_xscale, image_yscale, ang + image_angle, image_blend, image_alpha);
							} else {
								draw_sprite_ext(sprite_index, image_index, _x + cx, _y - i + cy, image_xscale, image_yscale, ang + image_angle, image_blend, image_alpha);
								ds_list_delete(other.list, m);
								m--;
							}
						}
					} else {
						ds_list_delete(other.list, m);
						m--;
					}
				}
				z = _store_z;
			}
		}
		i++;
	}
	gpu_set_colorwriteenable(true, true, true, true);
	surface_reset_target();
}