/// @description
image_angle = irandom(360);
lifetime++;
if (lifetime > 30) {
	image_alpha *= 0.9;
	image_xscale *= 0.9;
	image_yscale = image_xscale;
}
if (image_alpha <= 0.1) {
	instance_destroy();
}
zsp += 0.3;
if (!place_meeting_3D(x, y, z - zsp, obj_collision)) {
	z -= zsp;
} else {
	zsp = 0;
}
if (z <= 0) {
	instance_destroy();
}

repeat(round(spd)) {
	if (!place_meeting_3D(x + lengthdir_x(1, dir), y + lengthdir_y(1, dir), z, obj_collision)) {
		x += lengthdir_x(1, dir);
		y += lengthdir_y(1, dir);
	} else {
		spd = 0;
		break;
	}
}

var _building = instance_place_3D(x, y, z - 1, obj_building);
if (_building != noone) {
	_building.fire_hp--;
	_building.hp = min(_building.maxhp, _building.hp + 0.3);
}